subroutine initialize_base_grid(grid_name)
!-----------------------------------------------------------------------
!This subroutine is a wrapper to a generic routine initialize_grid
!which allocate memory for the GF3TL object and its dependants.
!Typically, routine initialize_grid is called during regridding.
!Here, parameters of the base grid, as specified by user, are passed to
!it instead. 
!
! the pointer to the base grid is returned as lp(1)%ml
!
!------------------------------------------------------------------------ 
!INTERFACE
!------------------------------------------------------------------------
      use amr
      use types
      character(200)                      :: grid_name 
!------------------------------------------------------------------------
!LOCAL VARIABLES 
!------------------------------------------------------------------------  
      type(ADAPTIVE_MESH),pointer         :: ptr
!------------------------------------------------------------------------

level=1
nullify(ptr)

write(*,*) 'initialize_base_grid: level: ',level
write(*,*) 'initialize_base_grid: ldr:   ',lp(level)%ldr
call initialize_grid(ptr,level,grid_name,gxmin,gymin,gzmin, &
                     gxmax,gymax,gzmax,lp(level)%ldr)
write(*,*) 'initialize_base_grid: level: ',level
write(*,*) 'initialize_base_grid: ldr:   ',lp(level)%ldr
lp(level)%ml=>ptr
ptr%gflb=1
ptr%gfrb=1

return
end subroutine initialize_base_grid





